Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network103.72.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
103.72.0.0
Broadcast address
103.79.255.255
First usable
103.72.0.1
Last usable
103.79.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 67480000 · Integer 1732771840 to 1733296127
Reverse DNS zones
72.103.in-addr.arpa
73.103.in-addr.arpa
74.103.in-addr.arpa
75.103.in-addr.arpa
76.103.in-addr.arpa
77.103.in-addr.arpa
78.103.in-addr.arpa
79.103.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100111.01001000.00000000.00000000103.72.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network01100111.01001000.00000000.00000000103.72.0.0
Broadcast01100111.01001111.11111111.11111111103.79.255.255
Split into smaller subnets/21

103.72.0.0/13 makes 256 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1103.72.0.0/21103.72.0.1 to 103.72.7.254103.72.7.2552,046
2103.72.8.0/21103.72.8.1 to 103.72.15.254103.72.15.2552,046
3103.72.16.0/21103.72.16.1 to 103.72.23.254103.72.23.2552,046
4103.72.24.0/21103.72.24.1 to 103.72.31.254103.72.31.2552,046
5103.72.32.0/21103.72.32.1 to 103.72.39.254103.72.39.2552,046
6103.72.40.0/21103.72.40.1 to 103.72.47.254103.72.47.2552,046
7103.72.48.0/21103.72.48.1 to 103.72.55.254103.72.55.2552,046
8103.72.56.0/21103.72.56.1 to 103.72.63.254103.72.63.2552,046
9103.72.64.0/21103.72.64.1 to 103.72.71.254103.72.71.2552,046
10103.72.72.0/21103.72.72.1 to 103.72.79.254103.72.79.2552,046
11103.72.80.0/21103.72.80.1 to 103.72.87.254103.72.87.2552,046
12103.72.88.0/21103.72.88.1 to 103.72.95.254103.72.95.2552,046
13103.72.96.0/21103.72.96.1 to 103.72.103.254103.72.103.2552,046
14103.72.104.0/21103.72.104.1 to 103.72.111.254103.72.111.2552,046
15103.72.112.0/21103.72.112.1 to 103.72.119.254103.72.119.2552,046
16103.72.120.0/21103.72.120.1 to 103.72.127.254103.72.127.2552,046
17103.72.128.0/21103.72.128.1 to 103.72.135.254103.72.135.2552,046
18103.72.136.0/21103.72.136.1 to 103.72.143.254103.72.143.2552,046
19103.72.144.0/21103.72.144.1 to 103.72.151.254103.72.151.2552,046
20103.72.152.0/21103.72.152.1 to 103.72.159.254103.72.159.2552,046
21103.72.160.0/21103.72.160.1 to 103.72.167.254103.72.167.2552,046
22103.72.168.0/21103.72.168.1 to 103.72.175.254103.72.175.2552,046
23103.72.176.0/21103.72.176.1 to 103.72.183.254103.72.183.2552,046
24103.72.184.0/21103.72.184.1 to 103.72.191.254103.72.191.2552,046
25103.72.192.0/21103.72.192.1 to 103.72.199.254103.72.199.2552,046
26103.72.200.0/21103.72.200.1 to 103.72.207.254103.72.207.2552,046
27103.72.208.0/21103.72.208.1 to 103.72.215.254103.72.215.2552,046
28103.72.216.0/21103.72.216.1 to 103.72.223.254103.72.223.2552,046
29103.72.224.0/21103.72.224.1 to 103.72.231.254103.72.231.2552,046
30103.72.232.0/21103.72.232.1 to 103.72.239.254103.72.239.2552,046
31103.72.240.0/21103.72.240.1 to 103.72.247.254103.72.247.2552,046
32103.72.248.0/21103.72.248.1 to 103.72.255.254103.72.255.2552,046
33103.73.0.0/21103.73.0.1 to 103.73.7.254103.73.7.2552,046
34103.73.8.0/21103.73.8.1 to 103.73.15.254103.73.15.2552,046
35103.73.16.0/21103.73.16.1 to 103.73.23.254103.73.23.2552,046
36103.73.24.0/21103.73.24.1 to 103.73.31.254103.73.31.2552,046
37103.73.32.0/21103.73.32.1 to 103.73.39.254103.73.39.2552,046
38103.73.40.0/21103.73.40.1 to 103.73.47.254103.73.47.2552,046
39103.73.48.0/21103.73.48.1 to 103.73.55.254103.73.55.2552,046
40103.73.56.0/21103.73.56.1 to 103.73.63.254103.73.63.2552,046
41103.73.64.0/21103.73.64.1 to 103.73.71.254103.73.71.2552,046
42103.73.72.0/21103.73.72.1 to 103.73.79.254103.73.79.2552,046
43103.73.80.0/21103.73.80.1 to 103.73.87.254103.73.87.2552,046
44103.73.88.0/21103.73.88.1 to 103.73.95.254103.73.95.2552,046
45103.73.96.0/21103.73.96.1 to 103.73.103.254103.73.103.2552,046
46103.73.104.0/21103.73.104.1 to 103.73.111.254103.73.111.2552,046
47103.73.112.0/21103.73.112.1 to 103.73.119.254103.73.119.2552,046
48103.73.120.0/21103.73.120.1 to 103.73.127.254103.73.127.2552,046
49103.73.128.0/21103.73.128.1 to 103.73.135.254103.73.135.2552,046
50103.73.136.0/21103.73.136.1 to 103.73.143.254103.73.143.2552,046
51103.73.144.0/21103.73.144.1 to 103.73.151.254103.73.151.2552,046
52103.73.152.0/21103.73.152.1 to 103.73.159.254103.73.159.2552,046
53103.73.160.0/21103.73.160.1 to 103.73.167.254103.73.167.2552,046
54103.73.168.0/21103.73.168.1 to 103.73.175.254103.73.175.2552,046
55103.73.176.0/21103.73.176.1 to 103.73.183.254103.73.183.2552,046
56103.73.184.0/21103.73.184.1 to 103.73.191.254103.73.191.2552,046
57103.73.192.0/21103.73.192.1 to 103.73.199.254103.73.199.2552,046
58103.73.200.0/21103.73.200.1 to 103.73.207.254103.73.207.2552,046
59103.73.208.0/21103.73.208.1 to 103.73.215.254103.73.215.2552,046
60103.73.216.0/21103.73.216.1 to 103.73.223.254103.73.223.2552,046
61103.73.224.0/21103.73.224.1 to 103.73.231.254103.73.231.2552,046
62103.73.232.0/21103.73.232.1 to 103.73.239.254103.73.239.2552,046
63103.73.240.0/21103.73.240.1 to 103.73.247.254103.73.247.2552,046
64103.73.248.0/21103.73.248.1 to 103.73.255.254103.73.255.2552,046
65103.74.0.0/21103.74.0.1 to 103.74.7.254103.74.7.2552,046
66103.74.8.0/21103.74.8.1 to 103.74.15.254103.74.15.2552,046
67103.74.16.0/21103.74.16.1 to 103.74.23.254103.74.23.2552,046
68103.74.24.0/21103.74.24.1 to 103.74.31.254103.74.31.2552,046
69103.74.32.0/21103.74.32.1 to 103.74.39.254103.74.39.2552,046
70103.74.40.0/21103.74.40.1 to 103.74.47.254103.74.47.2552,046
71103.74.48.0/21103.74.48.1 to 103.74.55.254103.74.55.2552,046
72103.74.56.0/21103.74.56.1 to 103.74.63.254103.74.63.2552,046
73103.74.64.0/21103.74.64.1 to 103.74.71.254103.74.71.2552,046
74103.74.72.0/21103.74.72.1 to 103.74.79.254103.74.79.2552,046
75103.74.80.0/21103.74.80.1 to 103.74.87.254103.74.87.2552,046
76103.74.88.0/21103.74.88.1 to 103.74.95.254103.74.95.2552,046
77103.74.96.0/21103.74.96.1 to 103.74.103.254103.74.103.2552,046
78103.74.104.0/21103.74.104.1 to 103.74.111.254103.74.111.2552,046
79103.74.112.0/21103.74.112.1 to 103.74.119.254103.74.119.2552,046
80103.74.120.0/21103.74.120.1 to 103.74.127.254103.74.127.2552,046
81103.74.128.0/21103.74.128.1 to 103.74.135.254103.74.135.2552,046
82103.74.136.0/21103.74.136.1 to 103.74.143.254103.74.143.2552,046
83103.74.144.0/21103.74.144.1 to 103.74.151.254103.74.151.2552,046
84103.74.152.0/21103.74.152.1 to 103.74.159.254103.74.159.2552,046
85103.74.160.0/21103.74.160.1 to 103.74.167.254103.74.167.2552,046
86103.74.168.0/21103.74.168.1 to 103.74.175.254103.74.175.2552,046
87103.74.176.0/21103.74.176.1 to 103.74.183.254103.74.183.2552,046
88103.74.184.0/21103.74.184.1 to 103.74.191.254103.74.191.2552,046
89103.74.192.0/21103.74.192.1 to 103.74.199.254103.74.199.2552,046
90103.74.200.0/21103.74.200.1 to 103.74.207.254103.74.207.2552,046
91103.74.208.0/21103.74.208.1 to 103.74.215.254103.74.215.2552,046
92103.74.216.0/21103.74.216.1 to 103.74.223.254103.74.223.2552,046
93103.74.224.0/21103.74.224.1 to 103.74.231.254103.74.231.2552,046
94103.74.232.0/21103.74.232.1 to 103.74.239.254103.74.239.2552,046
95103.74.240.0/21103.74.240.1 to 103.74.247.254103.74.247.2552,046
96103.74.248.0/21103.74.248.1 to 103.74.255.254103.74.255.2552,046
97103.75.0.0/21103.75.0.1 to 103.75.7.254103.75.7.2552,046
98103.75.8.0/21103.75.8.1 to 103.75.15.254103.75.15.2552,046
99103.75.16.0/21103.75.16.1 to 103.75.23.254103.75.23.2552,046
100103.75.24.0/21103.75.24.1 to 103.75.31.254103.75.31.2552,046
101103.75.32.0/21103.75.32.1 to 103.75.39.254103.75.39.2552,046
102103.75.40.0/21103.75.40.1 to 103.75.47.254103.75.47.2552,046
103103.75.48.0/21103.75.48.1 to 103.75.55.254103.75.55.2552,046
104103.75.56.0/21103.75.56.1 to 103.75.63.254103.75.63.2552,046
105103.75.64.0/21103.75.64.1 to 103.75.71.254103.75.71.2552,046
106103.75.72.0/21103.75.72.1 to 103.75.79.254103.75.79.2552,046
107103.75.80.0/21103.75.80.1 to 103.75.87.254103.75.87.2552,046
108103.75.88.0/21103.75.88.1 to 103.75.95.254103.75.95.2552,046
109103.75.96.0/21103.75.96.1 to 103.75.103.254103.75.103.2552,046
110103.75.104.0/21103.75.104.1 to 103.75.111.254103.75.111.2552,046
111103.75.112.0/21103.75.112.1 to 103.75.119.254103.75.119.2552,046
112103.75.120.0/21103.75.120.1 to 103.75.127.254103.75.127.2552,046
113103.75.128.0/21103.75.128.1 to 103.75.135.254103.75.135.2552,046
114103.75.136.0/21103.75.136.1 to 103.75.143.254103.75.143.2552,046
115103.75.144.0/21103.75.144.1 to 103.75.151.254103.75.151.2552,046
116103.75.152.0/21103.75.152.1 to 103.75.159.254103.75.159.2552,046
117103.75.160.0/21103.75.160.1 to 103.75.167.254103.75.167.2552,046
118103.75.168.0/21103.75.168.1 to 103.75.175.254103.75.175.2552,046
119103.75.176.0/21103.75.176.1 to 103.75.183.254103.75.183.2552,046
120103.75.184.0/21103.75.184.1 to 103.75.191.254103.75.191.2552,046
121103.75.192.0/21103.75.192.1 to 103.75.199.254103.75.199.2552,046
122103.75.200.0/21103.75.200.1 to 103.75.207.254103.75.207.2552,046
123103.75.208.0/21103.75.208.1 to 103.75.215.254103.75.215.2552,046
124103.75.216.0/21103.75.216.1 to 103.75.223.254103.75.223.2552,046
125103.75.224.0/21103.75.224.1 to 103.75.231.254103.75.231.2552,046
126103.75.232.0/21103.75.232.1 to 103.75.239.254103.75.239.2552,046
127103.75.240.0/21103.75.240.1 to 103.75.247.254103.75.247.2552,046
128103.75.248.0/21103.75.248.1 to 103.75.255.254103.75.255.2552,046
129103.76.0.0/21103.76.0.1 to 103.76.7.254103.76.7.2552,046
130103.76.8.0/21103.76.8.1 to 103.76.15.254103.76.15.2552,046
131103.76.16.0/21103.76.16.1 to 103.76.23.254103.76.23.2552,046
132103.76.24.0/21103.76.24.1 to 103.76.31.254103.76.31.2552,046
133103.76.32.0/21103.76.32.1 to 103.76.39.254103.76.39.2552,046
134103.76.40.0/21103.76.40.1 to 103.76.47.254103.76.47.2552,046
135103.76.48.0/21103.76.48.1 to 103.76.55.254103.76.55.2552,046
136103.76.56.0/21103.76.56.1 to 103.76.63.254103.76.63.2552,046
137103.76.64.0/21103.76.64.1 to 103.76.71.254103.76.71.2552,046
138103.76.72.0/21103.76.72.1 to 103.76.79.254103.76.79.2552,046
139103.76.80.0/21103.76.80.1 to 103.76.87.254103.76.87.2552,046
140103.76.88.0/21103.76.88.1 to 103.76.95.254103.76.95.2552,046
141103.76.96.0/21103.76.96.1 to 103.76.103.254103.76.103.2552,046
142103.76.104.0/21103.76.104.1 to 103.76.111.254103.76.111.2552,046
143103.76.112.0/21103.76.112.1 to 103.76.119.254103.76.119.2552,046
144103.76.120.0/21103.76.120.1 to 103.76.127.254103.76.127.2552,046
145103.76.128.0/21103.76.128.1 to 103.76.135.254103.76.135.2552,046
146103.76.136.0/21103.76.136.1 to 103.76.143.254103.76.143.2552,046
147103.76.144.0/21103.76.144.1 to 103.76.151.254103.76.151.2552,046
148103.76.152.0/21103.76.152.1 to 103.76.159.254103.76.159.2552,046
149103.76.160.0/21103.76.160.1 to 103.76.167.254103.76.167.2552,046
150103.76.168.0/21103.76.168.1 to 103.76.175.254103.76.175.2552,046
151103.76.176.0/21103.76.176.1 to 103.76.183.254103.76.183.2552,046
152103.76.184.0/21103.76.184.1 to 103.76.191.254103.76.191.2552,046
153103.76.192.0/21103.76.192.1 to 103.76.199.254103.76.199.2552,046
154103.76.200.0/21103.76.200.1 to 103.76.207.254103.76.207.2552,046
155103.76.208.0/21103.76.208.1 to 103.76.215.254103.76.215.2552,046
156103.76.216.0/21103.76.216.1 to 103.76.223.254103.76.223.2552,046
157103.76.224.0/21103.76.224.1 to 103.76.231.254103.76.231.2552,046
158103.76.232.0/21103.76.232.1 to 103.76.239.254103.76.239.2552,046
159103.76.240.0/21103.76.240.1 to 103.76.247.254103.76.247.2552,046
160103.76.248.0/21103.76.248.1 to 103.76.255.254103.76.255.2552,046
161103.77.0.0/21103.77.0.1 to 103.77.7.254103.77.7.2552,046
162103.77.8.0/21103.77.8.1 to 103.77.15.254103.77.15.2552,046
163103.77.16.0/21103.77.16.1 to 103.77.23.254103.77.23.2552,046
164103.77.24.0/21103.77.24.1 to 103.77.31.254103.77.31.2552,046
165103.77.32.0/21103.77.32.1 to 103.77.39.254103.77.39.2552,046
166103.77.40.0/21103.77.40.1 to 103.77.47.254103.77.47.2552,046
167103.77.48.0/21103.77.48.1 to 103.77.55.254103.77.55.2552,046
168103.77.56.0/21103.77.56.1 to 103.77.63.254103.77.63.2552,046
169103.77.64.0/21103.77.64.1 to 103.77.71.254103.77.71.2552,046
170103.77.72.0/21103.77.72.1 to 103.77.79.254103.77.79.2552,046
171103.77.80.0/21103.77.80.1 to 103.77.87.254103.77.87.2552,046
172103.77.88.0/21103.77.88.1 to 103.77.95.254103.77.95.2552,046
173103.77.96.0/21103.77.96.1 to 103.77.103.254103.77.103.2552,046
174103.77.104.0/21103.77.104.1 to 103.77.111.254103.77.111.2552,046
175103.77.112.0/21103.77.112.1 to 103.77.119.254103.77.119.2552,046
176103.77.120.0/21103.77.120.1 to 103.77.127.254103.77.127.2552,046
177103.77.128.0/21103.77.128.1 to 103.77.135.254103.77.135.2552,046
178103.77.136.0/21103.77.136.1 to 103.77.143.254103.77.143.2552,046
179103.77.144.0/21103.77.144.1 to 103.77.151.254103.77.151.2552,046
180103.77.152.0/21103.77.152.1 to 103.77.159.254103.77.159.2552,046
181103.77.160.0/21103.77.160.1 to 103.77.167.254103.77.167.2552,046
182103.77.168.0/21103.77.168.1 to 103.77.175.254103.77.175.2552,046
183103.77.176.0/21103.77.176.1 to 103.77.183.254103.77.183.2552,046
184103.77.184.0/21103.77.184.1 to 103.77.191.254103.77.191.2552,046
185103.77.192.0/21103.77.192.1 to 103.77.199.254103.77.199.2552,046
186103.77.200.0/21103.77.200.1 to 103.77.207.254103.77.207.2552,046
187103.77.208.0/21103.77.208.1 to 103.77.215.254103.77.215.2552,046
188103.77.216.0/21103.77.216.1 to 103.77.223.254103.77.223.2552,046
189103.77.224.0/21103.77.224.1 to 103.77.231.254103.77.231.2552,046
190103.77.232.0/21103.77.232.1 to 103.77.239.254103.77.239.2552,046
191103.77.240.0/21103.77.240.1 to 103.77.247.254103.77.247.2552,046
192103.77.248.0/21103.77.248.1 to 103.77.255.254103.77.255.2552,046
193103.78.0.0/21103.78.0.1 to 103.78.7.254103.78.7.2552,046
194103.78.8.0/21103.78.8.1 to 103.78.15.254103.78.15.2552,046
195103.78.16.0/21103.78.16.1 to 103.78.23.254103.78.23.2552,046
196103.78.24.0/21103.78.24.1 to 103.78.31.254103.78.31.2552,046
197103.78.32.0/21103.78.32.1 to 103.78.39.254103.78.39.2552,046
198103.78.40.0/21103.78.40.1 to 103.78.47.254103.78.47.2552,046
199103.78.48.0/21103.78.48.1 to 103.78.55.254103.78.55.2552,046
200103.78.56.0/21103.78.56.1 to 103.78.63.254103.78.63.2552,046
201103.78.64.0/21103.78.64.1 to 103.78.71.254103.78.71.2552,046
202103.78.72.0/21103.78.72.1 to 103.78.79.254103.78.79.2552,046
203103.78.80.0/21103.78.80.1 to 103.78.87.254103.78.87.2552,046
204103.78.88.0/21103.78.88.1 to 103.78.95.254103.78.95.2552,046
205103.78.96.0/21103.78.96.1 to 103.78.103.254103.78.103.2552,046
206103.78.104.0/21103.78.104.1 to 103.78.111.254103.78.111.2552,046
207103.78.112.0/21103.78.112.1 to 103.78.119.254103.78.119.2552,046
208103.78.120.0/21103.78.120.1 to 103.78.127.254103.78.127.2552,046
209103.78.128.0/21103.78.128.1 to 103.78.135.254103.78.135.2552,046
210103.78.136.0/21103.78.136.1 to 103.78.143.254103.78.143.2552,046
211103.78.144.0/21103.78.144.1 to 103.78.151.254103.78.151.2552,046
212103.78.152.0/21103.78.152.1 to 103.78.159.254103.78.159.2552,046
213103.78.160.0/21103.78.160.1 to 103.78.167.254103.78.167.2552,046
214103.78.168.0/21103.78.168.1 to 103.78.175.254103.78.175.2552,046
215103.78.176.0/21103.78.176.1 to 103.78.183.254103.78.183.2552,046
216103.78.184.0/21103.78.184.1 to 103.78.191.254103.78.191.2552,046
217103.78.192.0/21103.78.192.1 to 103.78.199.254103.78.199.2552,046
218103.78.200.0/21103.78.200.1 to 103.78.207.254103.78.207.2552,046
219103.78.208.0/21103.78.208.1 to 103.78.215.254103.78.215.2552,046
220103.78.216.0/21103.78.216.1 to 103.78.223.254103.78.223.2552,046
221103.78.224.0/21103.78.224.1 to 103.78.231.254103.78.231.2552,046
222103.78.232.0/21103.78.232.1 to 103.78.239.254103.78.239.2552,046
223103.78.240.0/21103.78.240.1 to 103.78.247.254103.78.247.2552,046
224103.78.248.0/21103.78.248.1 to 103.78.255.254103.78.255.2552,046
225103.79.0.0/21103.79.0.1 to 103.79.7.254103.79.7.2552,046
226103.79.8.0/21103.79.8.1 to 103.79.15.254103.79.15.2552,046
227103.79.16.0/21103.79.16.1 to 103.79.23.254103.79.23.2552,046
228103.79.24.0/21103.79.24.1 to 103.79.31.254103.79.31.2552,046
229103.79.32.0/21103.79.32.1 to 103.79.39.254103.79.39.2552,046
230103.79.40.0/21103.79.40.1 to 103.79.47.254103.79.47.2552,046
231103.79.48.0/21103.79.48.1 to 103.79.55.254103.79.55.2552,046
232103.79.56.0/21103.79.56.1 to 103.79.63.254103.79.63.2552,046
233103.79.64.0/21103.79.64.1 to 103.79.71.254103.79.71.2552,046
234103.79.72.0/21103.79.72.1 to 103.79.79.254103.79.79.2552,046
235103.79.80.0/21103.79.80.1 to 103.79.87.254103.79.87.2552,046
236103.79.88.0/21103.79.88.1 to 103.79.95.254103.79.95.2552,046
237103.79.96.0/21103.79.96.1 to 103.79.103.254103.79.103.2552,046
238103.79.104.0/21103.79.104.1 to 103.79.111.254103.79.111.2552,046
239103.79.112.0/21103.79.112.1 to 103.79.119.254103.79.119.2552,046
240103.79.120.0/21103.79.120.1 to 103.79.127.254103.79.127.2552,046
241103.79.128.0/21103.79.128.1 to 103.79.135.254103.79.135.2552,046
242103.79.136.0/21103.79.136.1 to 103.79.143.254103.79.143.2552,046
243103.79.144.0/21103.79.144.1 to 103.79.151.254103.79.151.2552,046
244103.79.152.0/21103.79.152.1 to 103.79.159.254103.79.159.2552,046
245103.79.160.0/21103.79.160.1 to 103.79.167.254103.79.167.2552,046
246103.79.168.0/21103.79.168.1 to 103.79.175.254103.79.175.2552,046
247103.79.176.0/21103.79.176.1 to 103.79.183.254103.79.183.2552,046
248103.79.184.0/21103.79.184.1 to 103.79.191.254103.79.191.2552,046
249103.79.192.0/21103.79.192.1 to 103.79.199.254103.79.199.2552,046
250103.79.200.0/21103.79.200.1 to 103.79.207.254103.79.207.2552,046
251103.79.208.0/21103.79.208.1 to 103.79.215.254103.79.215.2552,046
252103.79.216.0/21103.79.216.1 to 103.79.223.254103.79.223.2552,046
253103.79.224.0/21103.79.224.1 to 103.79.231.254103.79.231.2552,046
254103.79.232.0/21103.79.232.1 to 103.79.239.254103.79.239.2552,046
255103.79.240.0/21103.79.240.1 to 103.79.247.254103.79.247.2552,046
256103.79.248.0/21103.79.248.1 to 103.79.255.254103.79.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses